#VU9542 Resource exhaustion


Published: 2017-12-05 | Updated: 2017-12-05

Vulnerability identifier: #VU9542

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2017-16932

CWE-ID: CWE-400

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Libxml2
Universal components / Libraries / Libraries used by multiple products

Vendor: Gnome Development Team

Description
The vulnerability allows a remote attacker to cause DoS condition on the target system.

The weakness exists in parser.c function due to improper handling of certain parameter entities. A remote attacker can supply specially constructed XML data, trigger resource exhaustion and cause the application to crash.

Successful exploitation of the vulnerability results in denial of service.

Mitigation
Update to version 2.9.5.

Vulnerable software versions

Libxml2: 2.9.0 - 2.9.4


CPE

External links
http://xmlsoft.org/news.html


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability